apiVersion: v1
kind: ServiceAccount
metadata:
  name: helm
---
apiVersion: rbac.authorization.k8s.io/v1
kind: Role
metadata:
  name: helm-user
rules:
  - apiGroups:
      - ""
    resources:
      - pods/portforward
      - secrets
      - services
      - persistentvolumeclaims
      - configmaps
    verbs:
      - get
      - list
      - create
      - patch
      - update
      - delete
  - apiGroups:
      - "extensions"
      - "networking.k8s.io"
    resources:
      - deployments
      - ingresses
    verbs:
      - get
      - list
      - create
      - patch
      - update
      - delete
  - apiGroups:
      - "apps"
    resources:
      - deployments
      - replicasets
      - statefulsets
    verbs:
      - get
      - list
      - create
      - patch
      - update
      - delete
  - apiGroups:
      - batch
    resources:
      - cronjobs
      - jobs
    verbs:
      - get
      - list
      - create
      - patch
      - delete
      - watch
  - apiGroups:
      - policy
    resources:
      - poddisruptionbudgets
    verbs:
      - get
      - list
      - create
      - patch
      - delete
      - watch
  - apiGroups:
      - autoscaling
    resources:
      - horizontalpodautoscalers
    verbs:
      - get
      - list
      - create
      - patch
      - delete
      - watch
---
apiVersion: rbac.authorization.k8s.io/v1
kind: RoleBinding
metadata:
  name: helm-user-binding
roleRef:
  apiGroup: rbac.authorization.k8s.io
  kind: Role
  name: helm-user
subjects:
  - kind: ServiceAccount
    name: helm
---
apiVersion: v1
kind: Secret
type: kubernetes.io/service-account-token
metadata:
  name: helm-token
  annotations:
    kubernetes.io/service-account.name: "helm"
